TimeSeries — GET /timeseries/profile-instance/{location-id}/{parameter-id}/{version}

What it does

Retrieves a specific versioned profile instance for a location and parameter.

When to use

  • To retrieve a specific instance of a time series profile with a known version, parameter, and location.

GET /timeseries/profile-instance{location-id}/{parameter-id}/{version} - Endpoint Parameters

Parameter

Description

Required

location-id

location-id

Yes

parameter-id

parameter-id

Yes

version

CWMS database - version

Yes

office

office

Yes

timezone

timezone

version-date

version-date

unit

unit (Deprecated, prefer units or unit-system)

Yes

start-time-inclusive

Resulting data includes data from the exact start time of the time window (true/false).

end-time-inclusive

Resulting data includes data from the exact end of the time window (true/false).

previous

Include the previous time window of the time series profile instance (true/false).

next

Include the next time window of the time series profile instance (true/false).

max-version

Use the most recent version date (true/false). Only for time series utilizing dates in the version.

start

start (also referred to as begin)

Yes

end

end

Yes

page

page

page-size

page-size

Examples

  • Fetch a specific instance version:

GET /timeseries/profile-instance/LOC123/Flow/2?office=HQ

See the consolidated API documentation: API References.